#
# sgpk07.rb
#
# $Id: sgpk07.rb,v 1.1 2000/11/21 03:02:08 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


N = 9
y = NArray.sfloat(N)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
sgfrm

x1 = 0.1
x2 = 0.9
xc = 0.5

sgslni(1)
y = y.indgen * (-0.1) + 0.9
for i in 0..N-1
  sglnv(x1, y[i], x2, y[i])
end
sglnv(xc, 0.05, xc, 0.95)

#----------------------- SUPER/SUB SCRIPT ------------------------------
sgtxv(xc, y[0], 'SGTXV|SUP"RST_SUB"')

sgstxi(2)
sglset('LCNTL', true)                 # <-- źȥON
sgtxv(xc, y[1], 'SGTXV|SUP"RST_SUB"')

sgrset('SHIFT', 0.5)                  # <-- ե
sgrset('SMALL', 0.5)                  # <-- ź礭
sgtxv(xc, y[2], 'SGTXV|SUP"RST_SUB"')

#------------------------ FONT SELECTION -------------------------------
sgstxi(1)
sgstxs(0.05)
sgtxv(xc, y[3], 'ABCDEFG abcdefg')

sgiset('IFONT', 2)                    # <-- 줤ʥե
sgtxv(xc, y[4], 'ABCDEFG abcdefg')

sgstxi(3)
sgtxv(xc, y[5], 'ABCDEFG abcdefg')

#------------------------- GREEK LETTERS -------------------------------
greek1 = [152,153,154,155,156,157,158,159,160,161].collect{|i| csgi(i)}.join
greek2 = [130,131,135,138,141,143,145,148,150,151].collect{|i| csgi(i)}.join
sgtxv(xc, y[6], greek1)
sgtxv(xc, y[7], greek2)

#----------------------------- SYMBOLS ---------------------------------
symbol = [189,190,191,192,193,210,211,212,217,218].collect{|i| csgi(i)}.join
sgtxv(xc, y[8], symbol)

sgcls

