#
# scpkt2.rb
#
# $Id: scpkt2.rb,v 1.1 2000/11/21 03:15:31 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i

sglset('L2TO3', true)
sgiset('IFONT', 2)

sgopn iws

x0 = -3
dx = 0.3
for i in 1..20
  sgfrm
  sgswnd(0.0, 1.0, 0.0, 1.0)
  sgsvpt(0.0, 1.0, 0.0, 1.0)
  sgstrn(1)
  sgstrf

  x = x0 + dx*i
  sgrset('XEYE3', x)
  scsprj

  slpvpr(1)
  sgtxzv(0.5, 0.5, 'DENNOU', 0.1, 0, 0, 3)
end

sgcls

